<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
# Control du token du formulaire
plxToken::validateFormToken($_POST);

if(!empty($_POST)) {
    $plxPlugin->setParam('activate', $_POST['activate'],  'string');
    $plxPlugin->setParam('publisher', $_POST['publisher'],  'string');
    $plxPlugin->setParam('doNotHash', $_POST['doNotHash'],  'string');
    $plxPlugin->setParam('doNotCopy', $_POST['doNotCopy'],  'string');
    $plxPlugin->setParam('hashAddressBar', $_POST['hashAddressBar'],  'string');
    $plxPlugin->setParam('position', $_POST['position'],  'string');
    $plxPlugin->setParam('items', $_POST['items'],  'cdata');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=ShareThis');
	exit;
}
    $activate       = $plxPlugin->getParam('activate')=='' ? '' : $plxPlugin->getParam('activate');
    $publisher      = $plxPlugin->getParam('publisher')=='' ? '' : $plxPlugin->getParam('publisher');
    $doNotHash      = $plxPlugin->getParam('doNotHash')=='' ? '' : $plxPlugin->getParam('doNotHash');
    $doNotCopy      = $plxPlugin->getParam('doNotCopy')=='' ? '' : $plxPlugin->getParam('doNotCopy');    
    $hashAddressBar = $plxPlugin->getParam('hashAddressBar')=='' ? '' : $plxPlugin->getParam('hashAddressBar');
    $position       = $plxPlugin->getParam('position')=='' ? '' : $plxPlugin->getParam('position');
    $items          = $plxPlugin->getParam('items')=='' ? '' : $plxPlugin->getParam('items');   
?>
<br />
<script type="text/javascript" src="<?php echo PLX_PLUGINS ?>/ShareThis/jscolor/jscolor.js"></script>
<form id="form_ShareThis" action="parametres_plugin.php?p=ShareThis" method="post">
	<fieldset>
		<p class="field"><label for="id_activate"><?php $plxPlugin->lang('L_ACTIVATE') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('activate',array(true=>$plxPlugin->getLang('L_TRUE'),false=>$plxPlugin->getLang('L_FALSE')),$activate) ?>
			
		<p class="field"><label for="id_publisher"><?php $plxPlugin->lang('L_PUBLISHER') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('publisher',$publisher,'text','50-120') ?>
		
		<p class="field"><label for="id_doNotHash"><?php $plxPlugin->lang('L_HASH') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('doNotHash',array('true'=>$plxPlugin->getLang('L_TRUE'),'false'=>$plxPlugin->getLang('L_FALSE')),$doNotHash) ?>
				
		<p class="field"><label for="id_doNotCopy"><?php $plxPlugin->lang('L_COPY') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('doNotCopy',array('true'=>$plxPlugin->getLang('L_TRUE'),'false'=>$plxPlugin->getLang('L_FALSE')),$doNotCopy) ?>
		
		<p class="field"><label for="id_hashAddressBar"><?php $plxPlugin->lang('L_HASHBAR') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('hashAddressBar',array('true'=>$plxPlugin->getLang('L_TRUE'),'false'=>$plxPlugin->getLang('L_FALSE')),$hashAddressBar) ?>
		
		<p class="field"><label for="id_position"><?php $plxPlugin->lang('L_POSITION') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('position',array('left'=>$plxPlugin->getLang('L_LEFT'),'right'=>$plxPlugin->getLang('L_RIGHT')),$position) ?>


		<p class="field"><label for="id_items"><?php $plxPlugin->lang('L_ITEMS') ?>&nbsp;:</label></p>
		<?php plxUtils::printArea('items',$items,35,10); ?>
				
		<p>
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
	</fieldset>
</form>
